blob: 2ceeb947f7ce16ed86c9dfbbcf576a5485cece77 [file] [log] [blame]
Tom Rinid2244b92019-06-19 09:25:17 -04001# SPDX-License-Identifier: GPL-2.0+
2
Peter Hoyesb0722af2023-03-10 09:53:02 +00003variables:
4 DEFAULT_TAG: ""
Peter Hoyes08ed84e2023-03-10 09:53:03 +00005 MIRROR_DOCKER: docker.io
Peter Hoyesb0722af2023-03-10 09:53:02 +00006
7default:
8 tags:
9 - ${DEFAULT_TAG}
10
Joel Stanleyb97c1d42022-08-23 16:18:26 +100011# Grab our configured image. The source for this is found
12# in the u-boot tree at tools/docker/Dockerfile
Tom Rini13a1c8f2023-07-13 20:37:36 -040013image: ${MIRROR_DOCKER}/trini/u-boot-gitlab-ci-runner:jammy-20230624-20Jul2023
Tom Rinid2244b92019-06-19 09:25:17 -040014
15# We run some tests in different order, to catch some failures quicker.
16stages:
Tom Rinid2244b92019-06-19 09:25:17 -040017 - testsuites
Tom Rini1cdb1822019-07-24 13:09:31 -040018 - test.py
Tom Rinid2244b92019-06-19 09:25:17 -040019 - world build
20
21.buildman_and_testpy_template: &buildman_and_testpy_dfn
Tom Rinid2244b92019-06-19 09:25:17 -040022 stage: test.py
Tom Rini6acc0192023-07-11 22:33:03 -040023 retry: 2 # QEMU may be too slow, etc.
Tom Rinid2244b92019-06-19 09:25:17 -040024 before_script:
25 # Clone uboot-test-hooks
Tom Rinie0f979b2022-11-21 12:52:40 -050026 - git config --global --add safe.directory "${CI_PROJECT_DIR}"
Tom Rini2a1df582021-02-24 17:05:04 -050027 - git clone --depth=1 https://source.denx.de/u-boot/u-boot-test-hooks /tmp/uboot-test-hooks
Tom Rinid2244b92019-06-19 09:25:17 -040028 - ln -s travis-ci /tmp/uboot-test-hooks/bin/`hostname`
29 - ln -s travis-ci /tmp/uboot-test-hooks/py/`hostname`
Tom Rini6ad26042019-10-04 12:12:54 -040030 - grub-mkimage --prefix="" -o ~/grub_x86.efi -O i386-efi normal echo lsefimmap lsefi lsefisystab efinet tftp minicmd
31 - grub-mkimage --prefix="" -o ~/grub_x64.efi -O x86_64-efi normal echo lsefimmap lsefi lsefisystab efinet tftp minicmd
Bin Mengb68d9d62020-03-28 07:25:29 -070032 - if [[ "${TEST_PY_BD}" == "qemu-riscv32_spl" ]]; then
Bin Meng9d41bba2023-06-20 13:55:00 +080033 wget -O - https://github.com/riscv-software-src/opensbi/releases/download/v1.2/opensbi-1.2-rv-bin.tar.xz | tar -C /tmp -xJ;
34 export OPENSBI=/tmp/opensbi-1.2-rv-bin/share/opensbi/ilp32/generic/firmware/fw_dynamic.bin;
Bin Mengb68d9d62020-03-28 07:25:29 -070035 fi
Bin Meng0ae41062021-08-26 23:33:35 +080036 - if [[ "${TEST_PY_BD}" == "qemu-riscv64_spl" ]] || [[ "${TEST_PY_BD}" == "sifive_unleashed" ]]; then
Bin Meng9d41bba2023-06-20 13:55:00 +080037 wget -O - https://github.com/riscv-software-src/opensbi/releases/download/v1.2/opensbi-1.2-rv-bin.tar.xz | tar -C /tmp -xJ;
38 export OPENSBI=/tmp/opensbi-1.2-rv-bin/share/opensbi/lp64/generic/firmware/fw_dynamic.bin;
Bin Mengb68d9d62020-03-28 07:25:29 -070039 fi
Tom Rini1cdb1822019-07-24 13:09:31 -040040
Tom Rinid2244b92019-06-19 09:25:17 -040041 after_script:
Marek Vasutc1a44de2023-03-03 02:22:25 +010042 - cp -v /tmp/${TEST_PY_BD}/*.{html,css} .
Heinrich Schuchardt159b0ab2019-12-19 13:30:32 +010043 - rm -rf /tmp/uboot-test-hooks /tmp/venv
Tom Rinid2244b92019-06-19 09:25:17 -040044 script:
Simon Glassda499352020-03-18 09:42:57 -060045 # If we've been asked to use clang only do one configuration.
Simon Glass28d83e72020-03-18 09:42:55 -060046 - export UBOOT_TRAVIS_BUILD_DIR=/tmp/${TEST_PY_BD}
Simon Glass2e32f5d2022-08-03 12:13:09 -060047 - echo BUILD_ENV ${BUILD_ENV}
Simon Glassc2f01902023-01-15 14:16:00 -070048 - if [ -n "${BUILD_ENV}" ]; then
49 export ${BUILD_ENV};
50 fi
Simon Glass87c80462020-03-18 09:43:00 -060051 - tools/buildman/buildman -o ${UBOOT_TRAVIS_BUILD_DIR} -w -E -W -e
52 --board ${TEST_PY_BD} ${OVERRIDE}
Heinrich Schuchardtba0ae212020-07-14 00:23:58 +020053 - cp ~/grub_x86.efi $UBOOT_TRAVIS_BUILD_DIR/
54 - cp ~/grub_x64.efi $UBOOT_TRAVIS_BUILD_DIR/
55 - cp /opt/grub/grubriscv64.efi $UBOOT_TRAVIS_BUILD_DIR/grub_riscv64.efi
Heinrich Schuchardtba0ae212020-07-14 00:23:58 +020056 - cp /opt/grub/grubaa64.efi $UBOOT_TRAVIS_BUILD_DIR/grub_arm64.efi
57 - cp /opt/grub/grubarm.efi $UBOOT_TRAVIS_BUILD_DIR/grub_arm.efi
Bin Meng0ae41062021-08-26 23:33:35 +080058 # create sdcard / spi-nor images for sifive unleashed using genimage
59 - if [[ "${TEST_PY_BD}" == "sifive_unleashed" ]]; then
60 mkdir -p root;
61 cp ${UBOOT_TRAVIS_BUILD_DIR}/spl/u-boot-spl.bin .;
62 cp ${UBOOT_TRAVIS_BUILD_DIR}/u-boot.itb .;
63 rm -rf tmp;
64 genimage --inputpath . --config board/sifive/unleashed/genimage_sdcard.cfg;
65 cp images/sdcard.img ${UBOOT_TRAVIS_BUILD_DIR}/;
66 rm -rf tmp;
67 genimage --inputpath . --config board/sifive/unleashed/genimage_spi-nor.cfg;
68 cp images/spi-nor.img ${UBOOT_TRAVIS_BUILD_DIR}/;
69 fi
Simon Glass13e1fa02022-01-21 10:23:01 -070070 - if [[ "${TEST_PY_BD}" == "coreboot" ]]; then
71 wget -O -
Simon Glass61e507b2023-08-11 12:17:43 -060072 "https://drive.google.com/uc?id=1uJ2VkUQ8czWFZmhJQ90Tp8V_zrJ6BrBH&export=download" |
Simon Glass13e1fa02022-01-21 10:23:01 -070073 xz -dc >${UBOOT_TRAVIS_BUILD_DIR}/coreboot.rom;
74 wget -O -
75 "https://drive.google.com/uc?id=149Cz-5SZXHNKpi9xg6R_5XITWohu348y&export=download" >
76 cbfstool;
77 chmod a+x cbfstool;
78 ./cbfstool ${UBOOT_TRAVIS_BUILD_DIR}/coreboot.rom add-flat-binary -f ${UBOOT_TRAVIS_BUILD_DIR}/u-boot.bin -n fallback/payload -c LZMA -l 0x1110000 -e 0x1110000;
79 fi
Tom Riniebcd2142019-10-24 11:59:27 -040080 - virtualenv -p /usr/bin/python3 /tmp/venv
81 - . /tmp/venv/bin/activate
82 - pip install -r test/py/requirements.txt
Simon Glass2600f7e2020-03-18 09:42:56 -060083 # "${var:+"-k $var"}" expands to "" if $var is empty, "-k $var" if not
Simon Glass28d83e72020-03-18 09:42:55 -060084 - export PATH=/opt/qemu/bin:/tmp/uboot-test-hooks/bin:${PATH};
Tom Rinid2244b92019-06-19 09:25:17 -040085 export PYTHONPATH=/tmp/uboot-test-hooks/py/travis-ci;
Heinrich Schuchardt2a3ec0a2020-07-10 22:04:40 +020086 ./test/py/test.py -ra --bd ${TEST_PY_BD} ${TEST_PY_ID}
Simon Glass2600f7e2020-03-18 09:42:56 -060087 ${TEST_PY_TEST_SPEC:+"-k ${TEST_PY_TEST_SPEC}"}
Simon Glassfd0c59b2020-03-18 09:42:59 -060088 --build-dir "$UBOOT_TRAVIS_BUILD_DIR"
Marek Vasutc1a44de2023-03-03 02:22:25 +010089 artifacts:
90 when: always
91 paths:
92 - "*.html"
93 - "*.css"
94 expire_in: 1 week
Tom Rinid2244b92019-06-19 09:25:17 -040095
Heinrich Schuchardt8e8e1cc2019-10-06 12:26:16 +020096build all 32bit ARM platforms:
Tom Rinid2244b92019-06-19 09:25:17 -040097 stage: world build
98 script:
99 - ret=0;
Tom Rinie0f979b2022-11-21 12:52:40 -0500100 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Tom Rini95f1c6cb2023-07-22 00:14:46 +0530101 pip install -r tools/buildman/requirements.txt;
Tom Rini93ebd462022-11-09 19:14:53 -0700102 ./tools/buildman/buildman -o /tmp -PEWM arm -x aarch64 || ret=$?;
Simon Glassda499352020-03-18 09:42:57 -0600103 if [[ $ret -ne 0 ]]; then
Simon Glassad8eaed2020-03-18 09:42:53 -0600104 ./tools/buildman/buildman -o /tmp -seP;
Tom Rini70c63a52019-10-24 11:59:16 -0400105 exit $ret;
106 fi;
Tom Rini372c6972019-07-17 17:51:28 -0400107
Heinrich Schuchardt8e8e1cc2019-10-06 12:26:16 +0200108build all 64bit ARM platforms:
Tom Rini372c6972019-07-17 17:51:28 -0400109 stage: world build
110 script:
Tom Rini6c883102020-02-11 12:41:14 -0500111 - virtualenv -p /usr/bin/python3 /tmp/venv
Tom Rini7faea832019-07-18 07:28:36 -0400112 - . /tmp/venv/bin/activate
Tom Rini372c6972019-07-17 17:51:28 -0400113 - ret=0;
Tom Rinie0f979b2022-11-21 12:52:40 -0500114 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Tom Rini95f1c6cb2023-07-22 00:14:46 +0530115 pip install -r tools/buildman/requirements.txt;
Tom Rini93ebd462022-11-09 19:14:53 -0700116 ./tools/buildman/buildman -o /tmp -PEWM aarch64 || ret=$?;
Simon Glassda499352020-03-18 09:42:57 -0600117 if [[ $ret -ne 0 ]]; then
Simon Glassad8eaed2020-03-18 09:42:53 -0600118 ./tools/buildman/buildman -o /tmp -seP;
Tom Rini70c63a52019-10-24 11:59:16 -0400119 exit $ret;
120 fi;
Tom Rini372c6972019-07-17 17:51:28 -0400121
Heinrich Schuchardt8e8e1cc2019-10-06 12:26:16 +0200122build all PowerPC platforms:
Tom Rini372c6972019-07-17 17:51:28 -0400123 stage: world build
124 script:
125 - ret=0;
Tom Rinie0f979b2022-11-21 12:52:40 -0500126 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Simon Glassda499352020-03-18 09:42:57 -0600127 ./tools/buildman/buildman -o /tmp -P -E -W powerpc || ret=$?;
128 if [[ $ret -ne 0 ]]; then
Simon Glassad8eaed2020-03-18 09:42:53 -0600129 ./tools/buildman/buildman -o /tmp -seP;
Tom Rini70c63a52019-10-24 11:59:16 -0400130 exit $ret;
131 fi;
Tom Rini372c6972019-07-17 17:51:28 -0400132
Heinrich Schuchardt8e8e1cc2019-10-06 12:26:16 +0200133build all other platforms:
Tom Rini372c6972019-07-17 17:51:28 -0400134 stage: world build
135 script:
136 - ret=0;
Tom Rinie0f979b2022-11-21 12:52:40 -0500137 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Tom Rini93ebd462022-11-09 19:14:53 -0700138 ./tools/buildman/buildman -o /tmp -PEWM -x arm,powerpc || ret=$?;
Simon Glassda499352020-03-18 09:42:57 -0600139 if [[ $ret -ne 0 ]]; then
Simon Glassad8eaed2020-03-18 09:42:53 -0600140 ./tools/buildman/buildman -o /tmp -seP;
Tom Rini70c63a52019-10-24 11:59:16 -0400141 exit $ret;
142 fi;
Tom Rinid2244b92019-06-19 09:25:17 -0400143
Tom Rini1cc7e4c2022-12-04 10:14:15 -0500144check for new CONFIG symbols outside Kconfig:
Tom Rinibdfa3762021-12-14 13:36:41 -0500145 stage: testsuites
146 script:
Tom Rini1cc7e4c2022-12-04 10:14:15 -0500147 - git config --global --add safe.directory "${CI_PROJECT_DIR}"
148 # If grep succeeds and finds a match the test fails as we should
149 # have no matches.
150 - git grep -E '^#[[:blank:]]*(define|undef)[[:blank:]]*CONFIG_'
Tom Rini8f7345c2023-01-10 11:19:46 -0500151 :^doc/ :^arch/arm/dts/ :^scripts/kconfig/lkc.h
152 :^include/linux/kconfig.h :^tools/ && exit 1 || exit 0
Tom Rinibdfa3762021-12-14 13:36:41 -0500153
Tom Rinid2244b92019-06-19 09:25:17 -0400154# QA jobs for code analytics
155# static code analysis with cppcheck (we can add --enable=all later)
156cppcheck:
Tom Rinid2244b92019-06-19 09:25:17 -0400157 stage: testsuites
158 script:
Simon Glasscd1ccfa2020-04-05 14:35:43 -0600159 - cppcheck -j$(nproc) --force --quiet --inline-suppr .
Tom Rinid2244b92019-06-19 09:25:17 -0400160
161# search for TODO within source tree
162grep TODO/FIXME/HACK:
Tom Rinid2244b92019-06-19 09:25:17 -0400163 stage: testsuites
164 script:
165 - grep -r TODO .
166 - grep -r FIXME .
167 # search for HACK within source tree and ignore HACKKIT board
168 - grep -r HACK . | grep -v HACKKIT
169
Heinrich Schuchardt54de2412023-01-12 20:30:58 +0100170# build documentation
171docs:
Heinrich Schuchardtbccdb652020-02-21 18:24:01 +0100172 stage: testsuites
173 script:
Heinrich Schuchardt846abe42021-01-25 22:06:25 +0100174 - virtualenv -p /usr/bin/python3 /tmp/venvhtml
175 - . /tmp/venvhtml/bin/activate
176 - pip install -r doc/sphinx/requirements.txt
Heinrich Schuchardt2e0c8e62023-05-02 05:04:11 +0200177 - make htmldocs KDOC_WERROR=1
Heinrich Schuchardt54de2412023-01-12 20:30:58 +0100178 - make infodocs
Heinrich Schuchardtbccdb652020-02-21 18:24:01 +0100179
Tom Rinid2244b92019-06-19 09:25:17 -0400180# some statistics about the code base
181sloccount:
Tom Rinid2244b92019-06-19 09:25:17 -0400182 stage: testsuites
183 script:
184 - sloccount .
185
186# ensure all configs have MAINTAINERS entries
187Check for configs without MAINTAINERS entry:
Tom Rinid2244b92019-06-19 09:25:17 -0400188 stage: testsuites
189 script:
Simon Glass5e728d42023-07-19 17:48:27 -0600190 - ./tools/buildman/buildman --maintainer-check || exit 0
Tom Rinid2244b92019-06-19 09:25:17 -0400191
192# Ensure host tools build
193Build tools-only:
Tom Rinid2244b92019-06-19 09:25:17 -0400194 stage: testsuites
195 script:
196 - make tools-only_config tools-only -j$(nproc)
197
Pierre-Jean Texier6812f5e2019-08-26 13:06:18 +0200198# Ensure env tools build
199Build envtools:
Pierre-Jean Texier6812f5e2019-08-26 13:06:18 +0200200 stage: testsuites
201 script:
202 - make tools-only_config envtools -j$(nproc)
203
Tom Rini0b3e0c42020-03-11 18:11:15 -0400204Run binman, buildman, dtoc, Kconfig and patman testsuites:
Tom Rinid2244b92019-06-19 09:25:17 -0400205 stage: testsuites
206 script:
Tom Rini0b6e1032019-08-12 10:09:08 -0400207 - git config --global user.name "GitLab CI Runner";
208 git config --global user.email trini@konsulko.com;
Tom Rinid1ed4462022-08-09 21:08:54 -0400209 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Tom Rini0b6e1032019-08-12 10:09:08 -0400210 export USER=gitlab;
Tom Rini6c883102020-02-11 12:41:14 -0500211 virtualenv -p /usr/bin/python3 /tmp/venv;
Tom Rini0b6e1032019-08-12 10:09:08 -0400212 . /tmp/venv/bin/activate;
Tom Rini70c66dd2021-02-26 07:52:29 -0500213 pip install -r test/py/requirements.txt;
Tom Rini95f1c6cb2023-07-22 00:14:46 +0530214 pip install -r tools/buildman/requirements.txt;
Simon Glass9e589c02020-03-18 09:42:50 -0600215 export UBOOT_TRAVIS_BUILD_DIR=/tmp/sandbox_spl;
Tom Rini0b6e1032019-08-12 10:09:08 -0400216 export PYTHONPATH="${UBOOT_TRAVIS_BUILD_DIR}/scripts/dtc/pylibfdt";
217 export PATH="${UBOOT_TRAVIS_BUILD_DIR}/scripts/dtc:${PATH}";
Tom Rinid1ed4462022-08-09 21:08:54 -0400218 set +e;
Simon Glass492f0b02021-03-15 17:25:34 +1300219 ./tools/buildman/buildman -T0 -o ${UBOOT_TRAVIS_BUILD_DIR} -w
220 --board sandbox_spl;
Tom Rinid1ed4462022-08-09 21:08:54 -0400221 set -e;
Tom Rini0b6e1032019-08-12 10:09:08 -0400222 ./tools/binman/binman --toolpath ${UBOOT_TRAVIS_BUILD_DIR}/tools test;
223 ./tools/buildman/buildman -t;
224 ./tools/dtoc/dtoc -t;
Simon Glass109e84e2020-07-05 21:41:55 -0600225 ./tools/patman/patman test;
Tom Rini0b3e0c42020-03-11 18:11:15 -0400226 make testconfig
Tom Rinid2244b92019-06-19 09:25:17 -0400227
Simon Glassf6903262022-02-11 13:23:26 -0700228# Check for any pylint regressions
229Run pylint:
230 stage: testsuites
231 script:
Tom Rinid1ed4462022-08-09 21:08:54 -0400232 - git config --global --add safe.directory "${CI_PROJECT_DIR}"
Simon Glassf6903262022-02-11 13:23:26 -0700233 - pip install -r test/py/requirements.txt
Tom Rini95f1c6cb2023-07-22 00:14:46 +0530234 - pip install -r tools/buildman/requirements.txt
Tom Rini090ff812022-03-25 08:19:09 -0400235 - pip install asteval pylint==2.12.2 pyopenssl
Simon Glassf6903262022-02-11 13:23:26 -0700236 - export PATH=${PATH}:~/.local/bin
237 - echo "[MASTER]" >> .pylintrc
238 - echo "load-plugins=pylint.extensions.docparams" >> .pylintrc
239 - export UBOOT_TRAVIS_BUILD_DIR=/tmp/sandbox_spl
Tom Rinid1ed4462022-08-09 21:08:54 -0400240 - set +e
Simon Glassf6903262022-02-11 13:23:26 -0700241 - ./tools/buildman/buildman -T0 -o ${UBOOT_TRAVIS_BUILD_DIR} -w
242 --board sandbox_spl
Tom Rinid1ed4462022-08-09 21:08:54 -0400243 - set -e
Simon Glassf6903262022-02-11 13:23:26 -0700244 - pylint --version
245 - export PYTHONPATH="${UBOOT_TRAVIS_BUILD_DIR}/scripts/dtc/pylibfdt"
246 - make pylint_err
247
Simon Glassf96763a2023-02-13 08:56:39 -0700248# Check for pre-schema driver model tags
249Check for pre-schema tags:
250 stage: testsuites
251 script:
252 - git config --global --add safe.directory "${CI_PROJECT_DIR}";
253 # If grep succeeds and finds a match the test fails as we should
254 # have no matches.
255 - git grep u-boot,dm- -- '*.dts*' && exit 1 || exit 0
256
Simon Glass5dd13b92023-02-23 18:18:24 -0700257# Check we can package the Python tools
258Check packing of Python tools:
259 stage: testsuites
260 script:
261 - make pip
262
Tom Rinid2244b92019-06-19 09:25:17 -0400263# Test sandbox with test.py
264sandbox test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400265 variables:
266 TEST_PY_BD: "sandbox"
Tom Rinid2244b92019-06-19 09:25:17 -0400267 <<: *buildman_and_testpy_dfn
268
Tom Rini99a1bb32019-11-06 19:30:47 -0500269sandbox with clang test.py:
Tom Rini99a1bb32019-11-06 19:30:47 -0500270 variables:
271 TEST_PY_BD: "sandbox"
Tom Riniad9b2fd2023-03-21 15:07:45 -0400272 OVERRIDE: "-O clang-16"
Tom Rini99a1bb32019-11-06 19:30:47 -0500273 <<: *buildman_and_testpy_dfn
274
Simon Glass2e32f5d2022-08-03 12:13:09 -0600275sandbox without LTO test.py:
276 variables:
277 TEST_PY_BD: "sandbox"
278 BUILD_ENV: "NO_LTO=1"
279 <<: *buildman_and_testpy_dfn
280
Tom Rinid2244b92019-06-19 09:25:17 -0400281sandbox_spl test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400282 variables:
283 TEST_PY_BD: "sandbox_spl"
Simon Glass36a69e12020-10-25 20:38:36 -0600284 TEST_PY_TEST_SPEC: "test_ofplatdata or test_handoff or test_spl"
Tom Rinid2244b92019-06-19 09:25:17 -0400285 <<: *buildman_and_testpy_dfn
286
Simon Glass492f0b02021-03-15 17:25:34 +1300287sandbox_noinst_test.py:
Simon Glass492f0b02021-03-15 17:25:34 +1300288 variables:
289 TEST_PY_BD: "sandbox_noinst"
290 TEST_PY_TEST_SPEC: "test_ofplatdata or test_handoff or test_spl"
291 <<: *buildman_and_testpy_dfn
292
Simon Glassa2a4eea2022-04-30 00:56:57 -0600293sandbox_vpl test.py:
294 variables:
295 TEST_PY_BD: "sandbox_vpl"
Simon Glass4e5e7f42023-04-02 14:01:26 +1200296 TEST_PY_TEST_SPEC: "vpl or test_spl"
Simon Glassa2a4eea2022-04-30 00:56:57 -0600297 <<: *buildman_and_testpy_dfn
298
Simon Glassc2f01902023-01-15 14:16:00 -0700299# Enable tracing and disable LTO, to ensure functions are not elided
300sandbox trace_test.py:
301 variables:
302 TEST_PY_BD: "sandbox"
303 BUILD_ENV: "FTRACE=1 NO_LTO=1"
304 TEST_PY_TEST_SPEC: "trace"
305 OVERRIDE: "-a CONFIG_TRACE=y -a CONFIG_TRACE_EARLY=y -a CONFIG_TRACE_EARLY_SIZE=0x01000000"
306 <<: *buildman_and_testpy_dfn
307
Tom Rini0008b882019-07-17 16:06:57 -0400308evb-ast2500 test.py:
Tom Rini0008b882019-07-17 16:06:57 -0400309 variables:
310 TEST_PY_BD: "evb-ast2500"
311 TEST_PY_ID: "--id qemu"
Tom Rini0008b882019-07-17 16:06:57 -0400312 <<: *buildman_and_testpy_dfn
313
Joel Stanley3f21e1b2022-06-29 16:35:25 +0930314evb-ast2600 test.py:
315 variables:
316 TEST_PY_BD: "evb-ast2600"
317 TEST_PY_ID: "--id qemu"
318 <<: *buildman_and_testpy_dfn
319
Tom Rinid2244b92019-06-19 09:25:17 -0400320sandbox_flattree test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400321 variables:
322 TEST_PY_BD: "sandbox_flattree"
Tom Rinid2244b92019-06-19 09:25:17 -0400323 <<: *buildman_and_testpy_dfn
324
Kristian Amlie8f8a2992021-09-07 08:37:51 +0200325vexpress_ca9x4 test.py:
326 variables:
327 TEST_PY_BD: "vexpress_ca9x4"
328 TEST_PY_ID: "--id qemu"
329 <<: *buildman_and_testpy_dfn
330
Tom Rinid2244b92019-06-19 09:25:17 -0400331integratorcp_cm926ejs test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400332 variables:
333 TEST_PY_BD: "integratorcp_cm926ejs"
334 TEST_PY_TEST_SPEC: "not sleep"
335 TEST_PY_ID: "--id qemu"
Tom Rinid2244b92019-06-19 09:25:17 -0400336 <<: *buildman_and_testpy_dfn
337
338qemu_arm test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400339 variables:
340 TEST_PY_BD: "qemu_arm"
341 TEST_PY_TEST_SPEC: "not sleep"
Tom Rinid2244b92019-06-19 09:25:17 -0400342 <<: *buildman_and_testpy_dfn
343
344qemu_arm64 test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400345 variables:
346 TEST_PY_BD: "qemu_arm64"
347 TEST_PY_TEST_SPEC: "not sleep"
Tom Rinid2244b92019-06-19 09:25:17 -0400348 <<: *buildman_and_testpy_dfn
349
Marek Vasut07240eb2023-03-23 01:22:41 +0100350qemu_m68k test.py:
351 variables:
352 TEST_PY_BD: "M5208EVBE"
353 TEST_PY_ID: "--id qemu"
354 TEST_PY_TEST_SPEC: "not sleep and not efi"
355 OVERRIDE: "-a CONFIG_M68K_QEMU=y -a ~CONFIG_MCFTMR"
356 <<: *buildman_and_testpy_dfn
357
Daniel Schwierzeck744af392020-06-06 22:21:47 +0200358qemu_malta test.py:
Daniel Schwierzeck744af392020-06-06 22:21:47 +0200359 variables:
360 TEST_PY_BD: "malta"
361 TEST_PY_TEST_SPEC: "not sleep and not efi"
362 TEST_PY_ID: "--id qemu"
363 <<: *buildman_and_testpy_dfn
364
365qemu_maltael test.py:
Daniel Schwierzeck744af392020-06-06 22:21:47 +0200366 variables:
367 TEST_PY_BD: "maltael"
368 TEST_PY_TEST_SPEC: "not sleep and not efi"
369 TEST_PY_ID: "--id qemu"
370 <<: *buildman_and_testpy_dfn
371
372qemu_malta64 test.py:
Daniel Schwierzeck744af392020-06-06 22:21:47 +0200373 variables:
374 TEST_PY_BD: "malta64"
375 TEST_PY_TEST_SPEC: "not sleep and not efi"
376 TEST_PY_ID: "--id qemu"
377 <<: *buildman_and_testpy_dfn
378
379qemu_malta64el test.py:
Daniel Schwierzeck744af392020-06-06 22:21:47 +0200380 variables:
381 TEST_PY_BD: "malta64el"
382 TEST_PY_TEST_SPEC: "not sleep and not efi"
383 TEST_PY_ID: "--id qemu"
384 <<: *buildman_and_testpy_dfn
385
Tom Rinid2244b92019-06-19 09:25:17 -0400386qemu-ppce500 test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400387 variables:
388 TEST_PY_BD: "qemu-ppce500"
389 TEST_PY_TEST_SPEC: "not sleep"
Tom Rinid2244b92019-06-19 09:25:17 -0400390 <<: *buildman_and_testpy_dfn
391
Bin Mengaeb3ea42020-03-28 07:25:27 -0700392qemu-riscv32 test.py:
Bin Mengaeb3ea42020-03-28 07:25:27 -0700393 variables:
394 TEST_PY_BD: "qemu-riscv32"
395 TEST_PY_TEST_SPEC: "not sleep"
Bin Mengaeb3ea42020-03-28 07:25:27 -0700396 <<: *buildman_and_testpy_dfn
397
Tom Rinic8c320e2019-08-02 11:32:37 -0400398qemu-riscv64 test.py:
Tom Rinic8c320e2019-08-02 11:32:37 -0400399 variables:
400 TEST_PY_BD: "qemu-riscv64"
401 TEST_PY_TEST_SPEC: "not sleep"
Tom Rinic8c320e2019-08-02 11:32:37 -0400402 <<: *buildman_and_testpy_dfn
403
Bin Mengb68d9d62020-03-28 07:25:29 -0700404qemu-riscv32_spl test.py:
Bin Mengb68d9d62020-03-28 07:25:29 -0700405 variables:
406 TEST_PY_BD: "qemu-riscv32_spl"
407 TEST_PY_TEST_SPEC: "not sleep"
Bin Mengb68d9d62020-03-28 07:25:29 -0700408 <<: *buildman_and_testpy_dfn
409
410qemu-riscv64_spl test.py:
Bin Mengb68d9d62020-03-28 07:25:29 -0700411 variables:
412 TEST_PY_BD: "qemu-riscv64_spl"
413 TEST_PY_TEST_SPEC: "not sleep"
Bin Mengb68d9d62020-03-28 07:25:29 -0700414 <<: *buildman_and_testpy_dfn
415
Tom Rinid2244b92019-06-19 09:25:17 -0400416qemu-x86 test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400417 variables:
418 TEST_PY_BD: "qemu-x86"
419 TEST_PY_TEST_SPEC: "not sleep"
Tom Rinid2244b92019-06-19 09:25:17 -0400420 <<: *buildman_and_testpy_dfn
421
422qemu-x86_64 test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400423 variables:
424 TEST_PY_BD: "qemu-x86_64"
425 TEST_PY_TEST_SPEC: "not sleep"
Tom Rinid2244b92019-06-19 09:25:17 -0400426 <<: *buildman_and_testpy_dfn
427
Marek Vasutfc5a9d72020-09-14 21:55:58 +0200428r2dplus_i82557c test.py:
Marek Vasutfc5a9d72020-09-14 21:55:58 +0200429 variables:
430 TEST_PY_BD: "r2dplus"
431 TEST_PY_ID: "--id i82557c_qemu"
432 <<: *buildman_and_testpy_dfn
433
434r2dplus_pcnet test.py:
Marek Vasutfc5a9d72020-09-14 21:55:58 +0200435 variables:
436 TEST_PY_BD: "r2dplus"
437 TEST_PY_ID: "--id pcnet_qemu"
438 <<: *buildman_and_testpy_dfn
439
440r2dplus_rtl8139 test.py:
Marek Vasutfc5a9d72020-09-14 21:55:58 +0200441 variables:
442 TEST_PY_BD: "r2dplus"
443 TEST_PY_ID: "--id rtl8139_qemu"
444 <<: *buildman_and_testpy_dfn
445
446r2dplus_tulip test.py:
Marek Vasutfc5a9d72020-09-14 21:55:58 +0200447 variables:
448 TEST_PY_BD: "r2dplus"
449 TEST_PY_ID: "--id tulip_qemu"
450 <<: *buildman_and_testpy_dfn
451
Bin Meng0ae41062021-08-26 23:33:35 +0800452sifive_unleashed_sdcard test.py:
453 variables:
454 TEST_PY_BD: "sifive_unleashed"
455 TEST_PY_ID: "--id sdcard_qemu"
456 <<: *buildman_and_testpy_dfn
457
458sifive_unleashed_spi-nor test.py:
459 variables:
460 TEST_PY_BD: "sifive_unleashed"
461 TEST_PY_ID: "--id spi-nor_qemu"
462 <<: *buildman_and_testpy_dfn
463
Michal Simekf8834fd2020-02-13 15:03:29 +0100464xilinx_zynq_virt test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400465 variables:
Michal Simekf8834fd2020-02-13 15:03:29 +0100466 TEST_PY_BD: "xilinx_zynq_virt"
Tom Rinid2244b92019-06-19 09:25:17 -0400467 TEST_PY_TEST_SPEC: "not sleep"
Tom Rinid2244b92019-06-19 09:25:17 -0400468 TEST_PY_ID: "--id qemu"
Tom Rinid2244b92019-06-19 09:25:17 -0400469 <<: *buildman_and_testpy_dfn
470
471xilinx_versal_virt test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400472 variables:
473 TEST_PY_BD: "xilinx_versal_virt"
474 TEST_PY_TEST_SPEC: "not sleep"
Tom Rinid2244b92019-06-19 09:25:17 -0400475 TEST_PY_ID: "--id qemu"
Tom Rinid2244b92019-06-19 09:25:17 -0400476 <<: *buildman_and_testpy_dfn
477
478xtfpga test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400479 variables:
480 TEST_PY_BD: "xtfpga"
481 TEST_PY_TEST_SPEC: "not sleep"
Tom Rinid2244b92019-06-19 09:25:17 -0400482 TEST_PY_ID: "--id qemu"
Tom Rinid2244b92019-06-19 09:25:17 -0400483 <<: *buildman_and_testpy_dfn
Simon Glass13e1fa02022-01-21 10:23:01 -0700484
485coreboot test.py:
486 variables:
487 TEST_PY_BD: "coreboot"
488 TEST_PY_TEST_SPEC: "not sleep"
489 TEST_PY_ID: "--id qemu"
Simon Glass13e1fa02022-01-21 10:23:01 -0700490 <<: *buildman_and_testpy_dfn